Introducing Webhooks — Get real-time property deed updates delivered to you. Learn more →
Whitepages
Webhooks

Update a webhook subscription

Apply a partial update to a webhook subscription.

PATCH
/v1/webhooks/{webhook_id}

Authorization

ApiKeyAuth

x-api-key<token>

API key for authentication. Get your key from the Whitepages developer portal.

In: header

Path Parameters

webhook_id*string

Request Body

application/json

url?Url|Url

New HTTPS URL for webhook delivery

name?Name|Name

New human-readable label

event_type?Event Type|Event Type

New event type

region?Region|Region

New region in 'type:value' format

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.whitepages.com/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "result": {
    "id": "string",
    "url": "string",
    "name": "string",
    "event_type": "string",
    "region": "string",
    "status": "string",
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "error": {
    "code": 400,
    "message": "Bad Request",
    "long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
    "meta": null
  },
  "wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}
{
  "message": "Forbidden"
}
{
  "error": {
    "code": 404,
    "message": "Not Found",
    "long_message": "Person id not found: PABcd12345e",
    "meta": null
  },
  "wp_trace_id": "0c57473114bd49b3b3c4b585df624f2f"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}